io.undertow.util

## Class BadRequestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - io.undertow.util.BadRequestException

All Implemented Interfaces:
  Serializable

    public class BadRequestException
    extends Exception

Exception that is thrown when bad request is detected

Author:
  Stuart Douglas
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BadRequestException()`
`BadRequestException(String message)`
`BadRequestException(String message, Throwable cause)`
`BadRequestException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadRequestException

    public BadRequestException()

#### BadRequestException

    public BadRequestException(String message)

#### BadRequestException

    public BadRequestException(Throwable cause)

#### BadRequestException

    public BadRequestException(String message,
                               Throwable cause)